<?php
/**
 * The template for displaying the footer.
 */

				jarvis_close_wrapper();	// <!-- </.content> -->

				jarvis_profiler_add_point(esc_html__('After Page content', 'jarvis'));
	
				// Show main sidebar
				get_sidebar();

				if (jarvis_get_custom_option('body_style')!='fullscreen') jarvis_close_wrapper();	// <!-- </.content_wrap> -->
				?>
			
			</div>		<!-- </.page_content_wrap> -->
			
			<?php
			// Footer Testimonials stream
			if (jarvis_get_custom_option('show_testimonials_in_footer')=='yes') { 
				$count = max(1, jarvis_get_custom_option('testimonials_count'));
				$data = jarvis_sc_testimonials(array('count'=>$count));
				if ($data) {
					?>
					<footer class="testimonials_wrap sc_section scheme_<?php echo esc_attr(jarvis_get_custom_option('testimonials_scheme')); ?>">
						<div class="testimonials_wrap_inner sc_section_inner sc_section_overlay">
							<div class="content_wrap"><?php jarvis_show_layout($data); ?></div>
						</div>
					</footer>
					<?php
				}
			}
			
			// Footer sidebar
			$footer_show  = jarvis_get_custom_option('show_sidebar_footer');
			$sidebar_name = jarvis_get_custom_option('sidebar_footer');
			if (!jarvis_param_is_off($footer_show) && is_active_sidebar($sidebar_name)) { 
				jarvis_storage_set('current_sidebar', 'footer');
				?>
				<footer class="footer_wrap widget_area scheme_<?php echo esc_attr(jarvis_get_custom_option('sidebar_footer_scheme')); ?>">
					<div class="footer_wrap_inner widget_area_inner">
						<div class="content_wrap">
							<div class="columns_wrap"><?php
							ob_start();
							do_action( 'before_sidebar' );
							if ( !dynamic_sidebar($sidebar_name) ) {
								// Put here html if user no set widgets in sidebar
							}
							do_action( 'after_sidebar' );
							$out = ob_get_contents();
							ob_end_clean();
							jarvis_show_layout(chop(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $out)));
							?></div>	<!-- /.columns_wrap -->
						</div>	<!-- /.content_wrap -->
					</div>	<!-- /.footer_wrap_inner -->
				</footer>	<!-- /.footer_wrap -->
				<?php
			}


			// Footer Twitter stream
			if (jarvis_get_custom_option('show_twitter_in_footer')=='yes') { 
				$count = max(1, jarvis_get_custom_option('twitter_count'));
				$data = jarvis_sc_twitter(array('count'=>$count));
				if ($data) {
					?>
					<footer class="twitter_wrap sc_section scheme_<?php echo esc_attr(jarvis_get_custom_option('twitter_scheme')); ?>">
						<div class="twitter_wrap_inner sc_section_inner sc_section_overlay">
							<div class="content_wrap"><?php jarvis_show_layout($data); ?></div>
						</div>
					</footer>
					<?php
				}
			}


			// Google map
			if ( jarvis_get_custom_option('show_googlemap')=='yes' ) { 
				$map_address = jarvis_get_custom_option('googlemap_address');
				$map_latlng  = jarvis_get_custom_option('googlemap_latlng');
				$map_zoom    = jarvis_get_custom_option('googlemap_zoom');
				$map_style   = jarvis_get_custom_option('googlemap_style');
				$map_height  = jarvis_get_custom_option('googlemap_height');
				if (!empty($map_address) || !empty($map_latlng)) {
					$args = array();
					if (!empty($map_style))		$args['style'] = esc_attr($map_style);
					if (!empty($map_zoom))		$args['zoom'] = esc_attr($map_zoom);
					if (!empty($map_height))	$args['height'] = esc_attr($map_height);
					jarvis_show_layout(jarvis_sc_googlemap($args));
				}
			}

			// Footer contacts
			if (jarvis_get_custom_option('show_contacts_in_footer')=='yes') { 
				$address_1 = jarvis_get_theme_option('contact_address_1');
				$address_2 = jarvis_get_theme_option('contact_address_2');
				$phone = jarvis_get_theme_option('contact_phone');
				$fax = jarvis_get_theme_option('contact_fax');
				if (!empty($address_1) || !empty($address_2) || !empty($phone) || !empty($fax)) {
					?>
					<footer class="contacts_wrap scheme_<?php echo esc_attr(jarvis_get_custom_option('contacts_scheme')); ?>">
						<div class="contacts_wrap_inner">
							<div class="content_wrap">
								<div class="contacts_address">
                                    <div class="address_left">
                                        <?php if (!empty($address_2)) echo esc_html($address_2) . '<br>'; ?>
                                        <?php if (!empty($address_1)) echo esc_html($address_1); ?>
                                    </div>
									<div class="address_center">
                                        <?php jarvis_show_logo(false, false, true); ?>
									</div>
                                    <div class="address_right">
                                        <?php if (!empty($phone)) echo esc_html__('Phone:', 'jarvis') . ' ' . '<a href="tel:'.esc_html($phone).'">'.esc_html($phone).'</a>' . '<br>'; ?>
                                        <?php if (!empty($fax)) echo esc_html__('Fax:', 'jarvis') . ' ' . esc_html($fax); ?>
                                    </div>
								</div>
								<?php jarvis_show_layout(jarvis_sc_socials(array('size'=>"tiny"))); ?>
							</div>	<!-- /.content_wrap -->
						</div>	<!-- /.contacts_wrap_inner -->
					</footer>	<!-- /.contacts_wrap -->
					<?php
				}
			}

			// Copyright area
			$copyright_style = jarvis_get_custom_option('show_copyright_in_footer');
			if (!jarvis_param_is_off($copyright_style)) {
				?> 
				<div class="copyright_wrap copyright_style_<?php echo esc_attr($copyright_style); ?>  scheme_<?php echo esc_attr(jarvis_get_custom_option('copyright_scheme')); ?>">
					<div class="copyright_wrap_inner">
						<div class="content_wrap">
							<?php
							if ($copyright_style == 'menu') {
								if (($menu = jarvis_get_nav_menu('menu_footer'))!='') {
									jarvis_show_layout($menu);
								}
							} else if ($copyright_style == 'socials') {
								jarvis_show_layout(jarvis_sc_socials(array('size'=>"tiny")));
							}
							?>
							<div class="copyright_text"><?php
                                $jarvis_copyright = jarvis_get_theme_option('footer_copyright');
                                $jarvis_copyright = str_replace(array('{{Y}}', '{Y}'), date('Y'), $jarvis_copyright);
                                jarvis_show_layout($jarvis_copyright); ?></div>
						</div>
					</div>
				</div>
				<?php
			}

			jarvis_profiler_add_point(esc_html__('After Footer', 'jarvis'));
			?>
			
		</div>	<!-- /.page_wrap -->

	</div>		<!-- /.body_wrap -->
	
	<?php if ( !jarvis_param_is_off(jarvis_get_custom_option('show_sidebar_outer')) ) { ?>
	</div>	<!-- /.outer_wrap -->
	<?php } ?>

<?php
// Post/Page views counter
require_once JARVIS_THEME_PATH . 'templates/_parts/views-counter.php';

// Front customizer
if (jarvis_get_custom_option('show_theme_customizer')=='yes') {
    require_once JARVIS_THEME_PATH . 'core/core.customizer/front.customizer.php';
}
?>

<a href="#" class="scroll_to_top icon-up" title="<?php esc_attr_e('Scroll to top', 'jarvis'); ?>"></a>

<div class="custom_html_section">
<?php jarvis_show_layout(jarvis_get_custom_option('custom_code')); ?>
</div>

<?php
jarvis_show_layout(jarvis_get_custom_option('gtm_code2'));

// Page preloader
if (($preloader=jarvis_get_theme_option('page_preloader'))!='') {
	?><div id="page_preloader" style="background-image:url(<?php echo esc_url($preloader); ?>);"></div><?php
}

jarvis_profiler_add_point(esc_html__('After Theme HTML output', 'jarvis'));

wp_footer(); 
?>

</body>
</html>