<?php
/* Gutenberg support functions
------------------------------------------------------------------------------- */

// Theme init
if (!function_exists('jarvis_gutenberg_theme_setup')) {
    add_action( 'jarvis_action_before_init_theme', 'jarvis_gutenberg_theme_setup', 1 );
    function jarvis_gutenberg_theme_setup() {
        if (is_admin()) {
            add_filter( 'jarvis_filter_required_plugins', 'jarvis_gutenberg_required_plugins' );
        }
    }
}

// Check if Instagram Widget installed and activated
if ( !function_exists( 'jarvis_exists_gutenberg' ) ) {
    function jarvis_exists_gutenberg() {
        return function_exists( 'the_gutenberg_project' ) && function_exists( 'register_block_type' );
    }
}

// Filter to add in the required plugins list
if ( !function_exists( 'jarvis_gutenberg_required_plugins' ) ) {
    //add_filter('jarvis_filter_required_plugins',    'jarvis_gutenberg_required_plugins');
    function jarvis_gutenberg_required_plugins($list=array()) {
        if (in_array('gutenberg', (array)jarvis_storage_get('required_plugins')))
            $list[] = array(
                'name'         => esc_html__('Gutenberg', 'jarvis'),
                'slug'         => 'gutenberg',
                'required'     => false
            );
        return $list;
    }
}