<?php
/* WPML support functions
------------------------------------------------------------------------------- */

// Check if WPML installed and activated
if ( !function_exists( 'jarvis_exists_wpml' ) ) {
	function jarvis_exists_wpml() {
		return defined('ICL_SITEPRESS_VERSION') && class_exists('sitepress');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'jarvis_wpml_required_plugins' ) ) {
	//Handler of add_filter('jarvis_filter_required_plugins',	'jarvis_wpml_required_plugins');
	function jarvis_wpml_required_plugins($list=array()) {
		if (in_array('wpml', jarvis_storage_get('required_plugins'))) {
			$path = jarvis_get_file_dir('plugins/install/wpml.zip');
			if (file_exists($path)) {
				$list[] = array(
					'name' 		=> esc_html__('WPML', 'jarvis'),
					'slug' 		=> 'wpml',
					'source'	=> $path,
					'required' 	=> false
					);
			}
		}
		return $list;
	}
}
?>