<?php
/*
 * The template for displaying "Page 404"
*/

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'jarvis_template_404_theme_setup' ) ) {
	add_action( 'jarvis_action_before_init_theme', 'jarvis_template_404_theme_setup', 1 );
	function jarvis_template_404_theme_setup() {
		jarvis_add_template(array(
			'layout' => '404',
			'mode'   => 'internal',
			'title'  => 'Page 404',
			'theme_options' => array(
				'article_style' => 'stretch'
			)
		));
	}
}

// Template output
if ( !function_exists( 'jarvis_template_404_output' ) ) {
	function jarvis_template_404_output() {
        global $JARVIS_GLOBALS;
		?>
		<article class="post_item post_item_404">
			<div class="post_content">
                <div class="image_page_404"></div>
				<h2 class="page_title"><?php esc_html_e( 'We Are Sorry! error 404!', 'jarvis' ); ?></h2>
                <p class="page_description"><?php echo esc_html__('Can\'t find what you need? Take a moment and do', 'jarvis') . '<br>' . wp_kses( sprintf( __('a search below or start from our <a href="%s">homepage</a>.', 'jarvis'), esc_url( home_url( '/' ) ) ), $JARVIS_GLOBALS['allowed_tags'] );?></p>
				<div class="page_search"><?php if (function_exists('jarvis_sc_search')) jarvis_show_layout(jarvis_sc_search(array('state'=>'fixed', 'title'=>__('Search', 'jarvis')))); ?></div>
                <?php jarvis_show_logo(false, false, true); ?>
                <?php if (function_exists('jarvis_sc_socials')) jarvis_show_layout(jarvis_sc_socials(array('size'=>"tiny"))); ?>
			</div>
		</article>
		<?php
	}
}
?>