<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'jarvis_template_header_6_theme_setup' ) ) {
	add_action( 'jarvis_action_before_init_theme', 'jarvis_template_header_6_theme_setup', 1 );
	function jarvis_template_header_6_theme_setup() {
		jarvis_add_template(array(
			'layout' => 'header_6',
			'mode'   => 'header',
			'title'  => esc_html__('Header 6', 'jarvis'),
			'icon'   => jarvis_get_file_url('templates/headers/images/6.jpg')
			));
	}
}

// Template output
if ( !function_exists( 'jarvis_template_header_6_output' ) ) {
	function jarvis_template_header_6_output($post_options, $post_data) {

		// WP custom header
		$header_css = '';
		if ($post_options['position'] != 'over') {
			$header_image = get_header_image();
			$header_css = $header_image!='' 
				? ' style="background: url('.esc_url($header_image).') repeat center top"' 
				: '';
		}
		?>

		<div class="top_panel_fixed_wrap"></div>

		<header class="top_panel_wrap top_panel_style_6 scheme_<?php echo esc_attr($post_options['scheme']); ?>">
			<div class="top_panel_wrap_inner top_panel_inner_style_6 top_panel_position_<?php echo esc_attr(jarvis_get_custom_option('top_panel_position')); ?>">

			<div class="top_panel_middle" <?php jarvis_show_layout($header_css); ?>>
				<div class="content_wrap">
					<div class="columns_wrap columns_fluid">
                        <div
                            class="column-2_3 menu_main_wrap">
                            <a href="#" class="menu_main_responsive_button icon-menu"></a>
                            <nav class="menu_main_nav_area">
                                <?php
                                $menu_main = jarvis_get_nav_menu('menu_main');
                                if (empty($menu_main)) $menu_main = jarvis_get_nav_menu();
                                jarvis_show_layout($menu_main);
                                ?>
                            </nav>
                        </div><div
						    class="column-1_3 contact_logo">
							<?php jarvis_show_logo(true, true); ?>
						</div>
					</div>
				</div>
			</div>

			</div>
		</header>

		<?php
	}
}
?>