<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'jarvis_template_no_search_theme_setup' ) ) {
	add_action( 'jarvis_action_before_init_theme', 'jarvis_template_no_search_theme_setup', 1 );
	function jarvis_template_no_search_theme_setup() {
		jarvis_add_template(array(
			'layout' => 'no-search',
			'mode'   => 'internal',
			'title'  => esc_html__('No search results found', 'jarvis')
		));
	}
}

// Template output
if ( !function_exists( 'jarvis_template_no_search_output' ) ) {
	function jarvis_template_no_search_output($post_options, $post_data) {
		?>
		<article class="post_item">
			<div class="post_content">
				<h2 class="post_title"><?php echo sprintf(esc_html__('Search: %s', 'jarvis'), get_search_query()); ?></h2>
				<p><?php esc_html_e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'jarvis' ); ?></p>
				<p><?php echo wp_kses( sprintf(__('Go back, or return to <a href="%s">%s</a> home page to choose a new page.', 'jarvis'), esc_url(home_url('/')), get_bloginfo()), jarvis_storage_get('allowed_tags') ); ?>
				<br><?php esc_html_e('Please report any broken links to our team.', 'jarvis'); ?></p>
				<?php if (function_exists('jarvis_sc_search')) jarvis_show_layout(jarvis_sc_search(array('state'=>"fixed"))); ?>
			</div>	<!-- /.post_content -->
		</article>	<!-- /.post_item -->
		<?php
	}
}
?>