<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'jarvis_template_single_standard_theme_setup' ) ) {
	add_action( 'jarvis_action_before_init_theme', 'jarvis_template_single_standard_theme_setup', 1 );
	function jarvis_template_single_standard_theme_setup() {
		jarvis_add_template(array(
			'layout' => 'single-standard',
			'mode'   => 'single',
			'need_content' => true,
			'need_terms' => true,
			'title'  => esc_html__('Single standard', 'jarvis'),
			'thumb_title'  => esc_html__('Fullwidth image (crop)', 'jarvis'),
			'w'		 => 1170,
			'h'		 => 659
		));
	}
}

// Template output
if ( !function_exists( 'jarvis_template_single_standard_output' ) ) {
	function jarvis_template_single_standard_output($post_options, $post_data) {
		$post_data['post_views']++;
		$avg_author = 0;
		$avg_users  = 0;
		if (!$post_data['post_protected'] && $post_options['reviews'] && jarvis_get_custom_option('show_reviews')=='yes') {
			$avg_author = $post_data['post_reviews_author'];
			$avg_users  = $post_data['post_reviews_users'];
		}
		$show_title = jarvis_get_custom_option('show_post_title')=='yes' && (jarvis_get_custom_option('show_post_title_on_quotes')=='yes' || !in_array($post_data['post_format'], array('aside', 'chat', 'status', 'link', 'quote')));
		$title_tag = jarvis_get_custom_option('show_page_title')=='yes' ? 'h3' : 'h1';

		jarvis_open_wrapper('<article class="' 
				. join(' ', get_post_class('itemscope'
					. ' post_item post_item_single'
					. ' post_featured_' . esc_attr($post_options['post_class'])
					. ' post_format_' . esc_attr($post_data['post_format'])))
				. '"'
				. ' itemscope itemtype="http://schema.org/'.($avg_author > 0 || $avg_users > 0 ? 'Review' : 'Article')
				. '">');

      	if ($post_data['post_type']=='post' && $show_title && $post_options['location'] == 'center' && jarvis_get_custom_option('show_page_title')=='no') {
			?>
			<<?php echo esc_html($title_tag); ?> itemprop="<?php echo (float) $avg_author > 0 || (float) $avg_users > 0 ? 'itemReviewed' : 'headline'; ?>" class="post_title entry-title"><span class="post_icon <?php echo esc_attr($post_data['post_icon']); ?>"></span><?php jarvis_show_layout($post_data['post_title']); ?></<?php echo esc_html($title_tag); ?>>
		<?php 
		}

		if (!$post_data['post_protected'] && (
			!empty($post_options['dedicated']) ||
			(jarvis_get_custom_option('show_featured_image')=='yes' && $post_data['post_thumb'])	// && $post_data['post_format']!='gallery' && $post_data['post_format']!='image')
		)) {
			?>
			<section class="post_featured">
			<?php
			if (!empty($post_options['dedicated'])) {
				jarvis_show_layout($post_options['dedicated']);
			} else {
				jarvis_enqueue_popup();
				?>
				<div class="post_thumb" data-image="<?php echo esc_url($post_data['post_attachment']); ?>" data-title="<?php echo esc_attr($post_data['post_title']); ?>">
					<a class="hover_icon hover_icon_view" href="<?php echo esc_url($post_data['post_attachment']); ?>" title="<?php echo esc_attr($post_data['post_title']); ?>"><?php jarvis_show_layout($post_data['post_thumb']); ?></a>
				</div>
				<?php 
			}
			?>
			</section>
			<?php
		}
			
		
		if ($post_data['post_type']=='post' && $show_title && $post_options['location'] != 'center' && jarvis_get_custom_option('show_page_title')=='no') {
			?>
			<<?php echo esc_html($title_tag); ?> itemprop="<?php echo (float) $avg_author > 0 || (float) $avg_users > 0 ? 'itemReviewed' : 'headline'; ?>" class="post_title entry-title"><span class="post_icon <?php echo esc_attr($post_data['post_icon']); ?>"></span><?php jarvis_show_layout($post_data['post_title']); ?></<?php echo esc_html($title_tag); ?>>
			<?php 
		}

		if (!$post_data['post_protected'] && jarvis_get_custom_option('show_post_info')=='yes') {
			$info_parts = array('snippets'=>true, 'snippets' => false, 'date' => true, 'author' => false, 'terms' => false, 'counters' => true);
			require jarvis_get_file_dir('templates/_parts/post-info.php');
		}
		
		require jarvis_get_file_dir('templates/_parts/reviews-block.php');
			
		jarvis_open_wrapper('<section class="post_content'.(!$post_data['post_protected'] && $post_data['post_edit_enable'] ? ' '.esc_attr('post_content_editor_present') : '').'" itemprop="'.($avg_author > 0 || $avg_users > 0 ? 'reviewBody' : 'articleBody').'">');
			
		// Post content
		if ($post_data['post_protected']) { 
			jarvis_show_layout($post_data['post_excerpt']);
			echo get_the_password_form(); 
		} else {
			if (!jarvis_storage_empty('reviews_markup') && jarvis_strpos($post_data['post_content'], jarvis_get_reviews_placeholder())===false) 
				$post_data['post_content'] = jarvis_sc_reviews(array()) . ($post_data['post_content']);
			jarvis_show_layout(jarvis_gap_wrapper(jarvis_reviews_wrapper($post_data['post_content'])));
			require jarvis_get_file_dir('templates/_parts/single-pagination.php');
			if ( jarvis_get_custom_option('show_post_tags') == 'yes' && !empty($post_data['post_terms'][$post_data['post_taxonomy_tags']]->terms_links)) {
				?>
				<div class="post_info post_info_bottom">
					<span class="post_info_item post_info_tags"><?php esc_html_e('Tags:', 'jarvis'); ?> <?php echo join(', ', $post_data['post_terms'][$post_data['post_taxonomy_tags']]->terms_links); ?></span>
				</div>
				<?php 
			}
		} 
		if (!$post_data['post_protected'] && $post_data['post_edit_enable']) {
			require jarvis_get_file_dir('templates/_parts/editor-area.php');
		}
			
		jarvis_close_wrapper();	// .post_content
			
		if (!$post_data['post_protected']) {
			require jarvis_get_file_dir('templates/_parts/author-info.php');
			require jarvis_get_file_dir('templates/_parts/share.php');
		}

		$sidebar_present = !jarvis_param_is_off(jarvis_get_custom_option('show_sidebar_main'));
		if (!$sidebar_present) jarvis_close_wrapper();	// .post_item
		require jarvis_get_file_dir('templates/_parts/related-posts.php');
		if ($sidebar_present) jarvis_close_wrapper();		// .post_item

		if (!$post_data['post_protected']) {
			require jarvis_get_file_dir('templates/_parts/comments.php');
		}
	}
}
?>