<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'jarvis_template_events_1_theme_setup' ) ) {
	add_action( 'jarvis_action_before_init_theme', 'jarvis_template_events_1_theme_setup', 1 );
	function jarvis_template_events_1_theme_setup() {
		jarvis_add_template(array(
			'layout' => 'events-1',
			'template' => 'events-1',
			'mode'   => 'events',
			'title'  => esc_html__('Events /Style 1/', 'jarvis'),
			'thumb_title'  => esc_html__('Medium image (crop)', 'jarvis'),
			'w'		 => 370,
			'h'		 => 209
		));
	}
}

// Template output
if ( !function_exists( 'jarvis_template_events_1_output' ) ) {
	function jarvis_template_events_1_output($post_options, $post_data) {
		$show_title = true;
		$parts = explode('_', $post_options['layout']);
		$style = $parts[0];
		$columns = max(1, min(12, empty($parts[1]) ? (!empty($post_options['columns_count']) ? $post_options['columns_count'] : 1) : (int) $parts[1]));
		$date = tribe_get_start_date(null, true, 'j M');
		$date_week = tribe_get_start_date(null, true, 'D');
		if (jarvis_param_is_on($post_options['slider'])) {
			?><div class="swiper-slide" data-style="<?php echo esc_attr($post_options['tag_css_wh']); ?>" style="<?php echo esc_attr($post_options['tag_css_wh']); ?>"><div class="sc_events_item_wrap"><?php
		} else if ($columns > 1) {
			?><div class="column-1_<?php echo esc_attr($columns); ?> column_padding_bottom"><?php
		}
		?>
			<div<?php echo !empty($post_options['tag_id']) ? ' id="'.esc_attr($post_options['tag_id']).'"' : ''; ?>
				class="sc_events_item sc_events_item_<?php echo esc_attr($post_options['number']) . ($post_options['number'] % 2 == 1 ? ' odd' : ' even') . ($post_options['number'] == 1 ? ' first' : '') . (!empty($post_options['tag_class']) ? ' '.esc_attr($post_options['tag_class']) : ''); ?>"
				<?php echo (!empty($post_options['tag_css']) ? ' style="'.esc_attr($post_options['tag_css']).'"' : '') 
					. (!jarvis_param_is_off($post_options['tag_animation']) ? ' data-animation="'.esc_attr(jarvis_get_animation_classes($post_options['tag_animation'])).'"' : ''); ?>
				>
				<div class="sc_events_item_featured post_featured">
					<?php require jarvis_get_file_dir('templates/_parts/post-featured.php'); ?>
				</div>
				<div class="sc_events_item_content">
					<?php
					echo '<p class="sc_events_item_date">' . ($date) . '<br>' . ($date_week) . '</p>';

                    ?><div class="sc_events_item_category">
                        <?php echo tribe_get_event_categories($post_data['post_id']); ?>
                    </div><?php

                    if ($show_title) {
						if ((!isset($post_options['links']) || $post_options['links']) && !empty($post_data['post_link'])) {
							?><h3 class="sc_events_item_title"><a href="<?php echo esc_url($post_data['post_link']); ?>"><?php jarvis_show_layout($post_data['post_title']); ?></a></h3><?php
						} else {
							?><h3 class="sc_events_item_title"><?php jarvis_show_layout($post_data['post_title']); ?></h3><?php
						}
					}
					?>

					<div class="sc_events_item_description">
                        <div class="sc_events_item_tags">
                            <?php
                            $posttags = get_the_tags($post_data['post_id']);
                            if ($posttags) {
                                foreach ($posttags as $tag) {
                                    if($tag == end($posttags)) {
                                        echo trim($tag->name);
                                    } else {
                                        echo esc_html($tag->name . ', ');
                                    }
                                }
                            }
                            ?>
                        </div>
					</div>
				</div>
			</div>
		<?php
		if (jarvis_param_is_on($post_options['slider'])) {
			?></div></div><?php
		} else if ($columns > 1) {
			?></div><?php
		}
	}
}
?>