<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'jarvis_template_events_3_theme_setup' ) ) {
	add_action( 'jarvis_action_before_init_theme', 'jarvis_template_events_3_theme_setup', 1 );
	function jarvis_template_events_3_theme_setup() {
		jarvis_add_template(array(
			'layout' => 'events-3',
			'template' => 'events-3',
			'mode'   => 'events',
			'title'  => esc_html__('Events /Style 3/', 'jarvis')
		));
	}
}

// Template output
if ( !function_exists( 'jarvis_template_events_3_output' ) ) {
	function jarvis_template_events_3_output($post_options, $post_data) {
		$show_title = true;
		$parts = explode('_', $post_options['layout']);
		$style = $parts[0];
		$columns = max(1, min(12, empty($parts[1]) ? (!empty($post_options['columns_count']) ? $post_options['columns_count'] : 1) : (int) $parts[1]));
		$start_date = explode('|', tribe_get_start_date(null, true, 'M,d|'.get_option('time_format')));
		$end_date = explode('|', tribe_get_end_date(null, true, 'M,d|'.get_option('time_format')));
		$sd = explode(',', $start_date[0]);
        $date = tribe_get_start_date(null, true, 'j M');
        $date_week = tribe_get_start_date(null, true, 'D');
        if (jarvis_param_is_on($post_options['slider'])) {
            ?><div class="swiper-slide" data-style="<?php echo esc_attr($post_options['tag_css_wh']); ?>" style="<?php echo esc_attr($post_options['tag_css_wh']); ?>"><div class="sc_events_item_wrap"><?php
        } else if ($columns > 1) {
            ?><div class="column-1_<?php echo esc_attr($columns); ?> column_padding_bottom"><?php
        }
        if (tribe_event_is_all_day()) $start_date[1] = $end_date[1] = '';
		?>
		<div<?php echo !empty($post_options['tag_id']) ? ' id="'.esc_attr($post_options['tag_id']).'"' : ''; ?>
			class="sc_events_item sc_events_item_<?php echo esc_attr($post_options['number']) . ($post_options['position_button_reservation']=='Right' ? ' button_right ' : '')  . ($post_options['number'] % 2 == 1 ? ' odd' : ' even') . ($post_options['number'] == 1 ? ' first' : '') . (!empty($post_options['tag_class']) ? ' '.esc_attr($post_options['tag_class']) : ''); ?>"
			<?php echo (!empty($post_options['tag_css']) ? ' style="'.esc_attr($post_options['tag_css']).'"' : '') 
				. (!jarvis_param_is_off($post_options['tag_animation']) ? ' data-animation="'.esc_attr(jarvis_get_animation_classes($post_options['tag_animation'])).'"' : ''); ?>
			>
            <div class="sc_events_item_first_area">
                <div class="sc_events_item_date">
                    <?php echo '<p class="sc_events_item_date">' . ($date) . '<br>' . ($date_week) . '</p>'; ?>
                </div>
                <div class="sc_events_item_category">
                    <?php echo tribe_get_event_categories($post_data['post_id']); ?>
                </div>
            </div>
            <?php
			if ($show_title) {
				if ((!isset($post_options['links']) || $post_options['links']) && !empty($post_data['post_link'])) {
					?><h6 class="sc_events_item_title"><a href="<?php echo esc_url($post_data['post_link']); ?>"><?php jarvis_show_layout($post_data['post_title']); ?></a></h6><?php
				} else {
					?><h6 class="sc_events_item_title"><?php jarvis_show_layout($post_data['post_title']); ?></h6><?php
				}
			}
            ?>
            <?php
            $posttags = get_the_tags($post_data['post_id']);
            if ($posttags) {
                ?>
                <div class="sc_events_item_tags"><?php
                foreach ($posttags as $tag) {
                    if ($tag == end($posttags)) {
                        echo trim($tag->name);
                    } else {
                        echo esc_html($tag->name . ', ');
                    }
                }
                ?></div><?php
            }
            ?>
            <?php
            if ($post_options['show_button_reservation'] != 'no'){
                ?><div class="sc_events_item_button"><?php
                //echo jarvis_do_shortcode('[trx_button style="border" link="#'.$post_data['post_id'].'" popup="yes"]book the table[/trx_button][trx_popup id="'.$post_data['post_id'].'"][trx_form style="form_3" return_page="none" title="'. $post_data['post_title'] .'" eventname="'. $post_data['post_title'] .'"][/trx_form][/trx_popup]');
                $text_button_event_3 = (trim($post_options['readmore'])=="" ? esc_html__('book the table', 'jarvis') : trim($post_options['readmore']));
                echo jarvis_do_shortcode('[trx_button style="border" link="#'.$post_data['post_id'].'" popup="yes"]' . trim($text_button_event_3) . '[/trx_button][trx_popup id="'.$post_data['post_id'].'"][trx_form style="form_3" return_page="none" title="'. $post_data['post_title'] .'" eventname="'. $post_data['post_title'] .'"][/trx_form][/trx_popup]');
                ?></div><?php
            } ?>
		</div>
		<?php
        if (jarvis_param_is_on($post_options['slider'])) {
            ?></div></div><?php
        } else if ($columns > 1) {
            ?></div><?php
        }
	}
}
?>