<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'jarvis_template_form_2_theme_setup' ) ) {
	add_action( 'jarvis_action_before_init_theme', 'jarvis_template_form_2_theme_setup', 1 );
	function jarvis_template_form_2_theme_setup() {
		jarvis_add_template(array(
			'layout' => 'form_2',
			'mode'   => 'forms',
			'title'  => esc_html__('Contact Form 2', 'jarvis')
			));
	}
}

// Template output
if ( !function_exists( 'jarvis_template_form_2_output' ) ) {
	function jarvis_template_form_2_output($post_options, $post_data) {
		$address_1 = jarvis_get_theme_option('contact_address_1');
		$address_2 = jarvis_get_theme_option('contact_address_2');
		$phone = jarvis_get_theme_option('contact_phone');
		$fax = jarvis_get_theme_option('contact_fax');
		$email = jarvis_get_theme_option('contact_email');
		$open_hours = jarvis_get_theme_option('contact_open_hours');
        global $JARVIS_GLOBALS;
        $title= $JARVIS_GLOBALS['title'];
        $subtitle = $JARVIS_GLOBALS['subtitle'];
		?>
		<div class="sc_columns">
			<div class="sc_form_fields column-left">
                <div class="sc_form_item form_title form_subtitle">
                    <div class="sc_form_title"><?php echo esc_attr( $title );?></div>
                    <div class="sc_form_subtitle"><?php echo esc_attr( $subtitle );?></div>
                </div>
				<form <?php echo !empty($post_options['id']) ? ' id="'.esc_attr($post_options['id']).'"' : ''; ?> data-formtype="<?php echo esc_attr($post_options['layout']); ?>" method="post" action="<?php echo esc_url($post_options['action'] ? $post_options['action'] : admin_url('admin-ajax.php')); ?>">
					<?php jarvis_sc_form_show_fields($post_options['fields']); ?>
					<div class="sc_form_info">
						<div class="sc_form_item sc_form_field label_over"><label class="required" for="sc_form_username"><?php esc_html_e('Name', 'jarvis'); ?></label><input id="sc_form_username" type="text" name="username" placeholder="<?php esc_attr_e('Name', 'jarvis'); ?>"></div>
						<div class="sc_form_item sc_form_field label_over"><label class="required" for="sc_form_email"><?php esc_html_e('E-mail', 'jarvis'); ?></label><input id="sc_form_email" type="text" name="email" placeholder="<?php esc_attr_e('E-mail', 'jarvis'); ?>"></div>
					</div>
					<div class="sc_form_item sc_form_message label_over"><label class="required" for="sc_form_message"><?php esc_html_e('Message', 'jarvis'); ?></label><textarea id="sc_form_message" name="message" placeholder="<?php esc_attr_e('Message', 'jarvis'); ?>"></textarea></div>

                    <?php
                    $privacy = trx_utils_get_privacy_text();
                    if (!empty($privacy)) {
                        ?><div class="sc_form_item sc_form_field_checkbox"><?php
                        ?><input type="checkbox" id="i_agree_privacy_policy_sc_form_2" name="i_agree_privacy_policy" class="sc_form_privacy_checkbox" value="1">
                        <label for="i_agree_privacy_policy_sc_form_2"><?php trx_utils_show_layout($privacy); ?></label>
                        </div><?php
                    }
                    ?><div class="sc_form_item sc_form_button"><?php
                        ?><button class="sc_button sc_button_style_border gradient_bd hover"<?php
                        if (!empty($privacy)) echo ' disabled="disabled"'
                        ?> ><?php
                            if (!empty($args['button_caption']))
                                echo esc_html($args['button_caption']);
                            else
                                esc_html_e('Send Message', 'jarvis');
                            ?></button>
                    </div>
                    <div class="result sc_infobox"></div>

				</form>
			</div><div class="sc_form_address column-right">
                <div class="sc_form_address_field logo">
                    <?php jarvis_show_logo(false, false, true); ?>
                </div>
                <?php echo do_shortcode('[trx_socials size="tiny" shape="square"][/trx_socials]'); ?>
                <?php if ( (!empty($address_1) || !empty($address_2)) ) {?>
                    <div class="sc_form_address_field">
                        <span class="sc_form_address_data"><?php jarvis_show_layout($address_1); ?></span>
                        <span class="sc_form_address_data"><?php jarvis_show_layout($address_2); ?></span>
                    </div>
                <?php } ?>
                <?php if (!empty($open_hours) ) {?>
                    <div class="sc_form_address_field">
                        <span class="sc_form_address_label"><?php esc_html_e('We are open', 'jarvis'); ?></span>
                        <span class="sc_form_address_data"><?php jarvis_show_layout($open_hours); ?></span>
                    </div>
                <?php } ?>
                <?php if ( (!empty($phone) || !empty($fax)) ) {?>
                    <div class="sc_form_address_field">
                        <span class="sc_form_address_data"><?php esc_html_e('Phone: ', 'jarvis'); ?><?php jarvis_show_layout('<a href="tel:'.$phone.'">'.$phone.'</a>'); ?></span>
                        <span class="sc_form_address_data"><?php esc_html_e('Fax: ', 'jarvis'); ?><?php jarvis_show_layout($fax); ?></span>
                    </div>
                <?php } ?>
                <?php if  (!empty($email) ) {?>
                    <div class="sc_form_address_field">
                        <span class="sc_form_address_label"><?php esc_html_e('E-mail: ', 'jarvis'); ?></span>
                        <span class="sc_form_address_data"><?php jarvis_show_layout('<a href="mailto:'.$email.'">'.$email.'</a>'); ?></span>
                    </div>
                <?php } ?>
            </div>
		</div>
		<?php
	}
}
?>