<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'jarvis_template_form_3_theme_setup' ) ) {
	add_action( 'jarvis_action_before_init_theme', 'jarvis_template_form_3_theme_setup', 1 );
	function jarvis_template_form_3_theme_setup() {
		jarvis_add_template(array(
			'layout' => 'form_3',
			'mode'   => 'forms',
			'title'  => esc_html__('Reservation Form 3', 'jarvis')
			));
	}
}

// Template output
if ( !function_exists( 'jarvis_template_form_3_output' ) ) {
    function jarvis_template_form_3_output($post_options, $post_data) {
        wp_enqueue_script( 'jquery-picker', jarvis_get_file_url('/js/picker/picker.js'), array('jquery'), null, true );
        wp_enqueue_script( 'jquery-picker-date', jarvis_get_file_url('/js/picker/picker.date.js'), array('jquery'), null, true );
        wp_enqueue_script( 'jquery-picker-time', jarvis_get_file_url('/js/picker/picker.time.js'), array('jquery'), null, true );
        global $JARVIS_GLOBALS;
        $eventname = $JARVIS_GLOBALS['eventname'];
        ?>
		<form <?php echo !empty($post_options['id']) ? ' id="'.esc_attr($post_options['id']).'"' : ''; ?> data-formtype="<?php echo esc_attr($post_options['layout']); ?>" method="post" action="<?php echo esc_url($post_options['action'] ? $post_options['action'] : admin_url('admin-ajax.php')); ?>">
			<?php jarvis_sc_form_show_fields($post_options['fields']); ?>
			<div class="sc_form_info">
				<div class="sc_form_item sc_form_field none"><input type="text" name="eventname" value="<?php echo (!empty($eventname)) ? esc_attr($eventname) : esc_html__('Any', 'jarvis'); ?>"></div>
				<div class="sc_form_item sc_form_field label_over"><input type="text" name="username" placeholder="<?php esc_attr_e('Name', 'jarvis'); ?>"></div>
				<div class="sc_form_item sc_form_field label_over"><input type="text" name="email" placeholder="<?php esc_attr_e('E-mail', 'jarvis'); ?>"></div>
				<div class="sc_form_item sc_form_field label_over"><div class="quantity"><input type="number" name="number" min="1" max="1000" placeholder="<?php esc_attr_e('Number of people', 'jarvis'); ?>"></div></div>
			</div>
            <div class="sc_form_item sc_form_field date_time">
                <div class="sc_form_item sc_form_item_date sc_form_field label_top">
                    <div class="sc_form_date_wrap icon-calendar-light">
						<input placeholder="Date" class="js__datepicker" type="text" >
                    </div>
                </div>
                <div class="sc_form_item sc_form_item_time sc_form_field label_top">
                    <div class="sc_form_time_wrap icon-clock-empty">
                        <input placeholder="Time" class="js__timepicker" name="time" type="text" >
                    </div>
                </div>
            </div>

            <?php
            $privacy = trx_utils_get_privacy_text();
            if (!empty($privacy)) {
                ?><div class="sc_form_item sc_form_field_checkbox"><?php
                ?><input type="checkbox" id="i_agree_privacy_policy_sc_form_3" name="i_agree_privacy_policy" class="sc_form_privacy_checkbox" value="1">
                <label for="i_agree_privacy_policy_sc_form_3"><?php trx_utils_show_layout($privacy); ?></label>
                </div><?php
            }
            ?><div class="sc_form_item sc_form_button"><?php
                ?><button class="sc_button sc_button_style_border gradient_bd hover"<?php
                if (!empty($privacy)) echo ' disabled="disabled"'
                ?> ><?php
                    if (!empty($args['button_caption']))
                        echo esc_html($args['button_caption']);
                    else
                        esc_html_e('Book the table', 'jarvis');
                    ?></button>
            </div>
            <div class="result sc_infobox"></div>
        </form>
		<?php
	}
}
?>