<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'jarvis_template_team_1_theme_setup' ) ) {
	add_action( 'jarvis_action_before_init_theme', 'jarvis_template_team_1_theme_setup', 1 );
	function jarvis_template_team_1_theme_setup() {
		jarvis_add_template(array(
			'layout' => 'team-1',
			'template' => 'team-1',
			'mode'   => 'team',
			/*'container_classes' => 'sc_slider_nopagination sc_slider_controls sc_slider_controls_bottom',*/
			'title'  => esc_html__('Team /Style 1/', 'jarvis'),
			'thumb_title'  => esc_html__('Medium square image (team 1)', 'jarvis'),
			'w' => 370,
			'h' => 300
		));
	}
}

// Template output
if ( !function_exists( 'jarvis_template_team_1_output' ) ) {
	function jarvis_template_team_1_output($post_options, $post_data) {
		$show_title = true;
		$parts = explode('_', $post_options['layout']);
		$style = $parts[0];
        $post_title = jarvis_get_post_title($post_data['post_id']);
		$columns = max(1, min(12, empty($parts[1]) ? (!empty($post_options['columns_count']) ? $post_options['columns_count'] : 1) : (int) $parts[1]));
		if (jarvis_param_is_on($post_options['slider'])) {
			?><div class="swiper-slide" data-style="<?php echo esc_attr($post_options['tag_css_wh']); ?>" style="<?php echo esc_attr($post_options['tag_css_wh']); ?>"><?php
		} else if ($columns > 1) {
			?><div class="column-1_<?php echo esc_attr($columns); ?> column_padding_bottom"><?php
		}
		?>
			<div<?php echo !empty($post_options['tag_id']) ? ' id="'.esc_attr($post_options['tag_id']).'"' : ''; ?>
				class="sc_team_item sc_team_item_<?php echo esc_attr($post_options['number']) . ($post_options['number'] % 2 == 1 ? ' odd' : ' even') . ($post_options['number'] == 1 ? ' first' : '') . (!empty($post_options['tag_class']) ? ' '.esc_attr($post_options['tag_class']) : ''); ?>"
				<?php echo (!empty($post_options['tag_css']) ? ' style="'.esc_attr($post_options['tag_css']).'"' : '') 
					. (!jarvis_param_is_off($post_options['tag_animation']) ? ' data-animation="'.esc_attr(jarvis_get_animation_classes($post_options['tag_animation'])).'"' : ''); ?>>
				<div class="sc_team_item_avatar"><?php jarvis_show_layout($post_options['photo']); ?></div>
				<div class="sc_team_item_info">
                    <div class="sc_team_item_trends"><?php jarvis_show_layout($post_options['trends']);?></div>
                    <h5 class="sc_team_item_title"><?php echo (!empty($post_options['link']) ? '<a href="'.esc_url($post_options['link']).'">' : '') . ($post_title) . (!empty($post_options['link']) ? '</a>' : ''); ?></h5>
					<div class="sc_team_item_position"><?php jarvis_show_layout($post_options['position']);?></div>
					<?php jarvis_show_layout($post_options['socials']); ?>
				</div>
			</div>
		<?php
		if (jarvis_param_is_on($post_options['slider']) || $columns > 1) {
			?></div><?php
		}
	}
}
?>