<?php
/**
 * Single Event Meta (Organizer) Template
 *
 * Override this template in your own theme by creating a file at:
 * [your-theme]/tribe-events/modules/meta/details.php
 *
 * @package TribeEventsCalendar
 */

$organizer_ids = tribe_get_organizer_ids();
$multiple = count( $organizer_ids ) > 1;

$phone = tribe_get_organizer_phone();
$email = tribe_get_organizer_email();
$website = tribe_get_organizer_website_link();
?>

<div class="tribe-events-meta-group tribe-events-meta-group-organizer">
	<h3 class="tribe-events-single-section-title"><?php echo tribe_get_organizer_label( ! $multiple ); ?></h3>
	<div class="dl">
		<?php
		do_action( 'tribe_events_single_meta_organizer_section_start' );

		foreach ( $organizer_ids as $organizer ) {
			if ( ! $organizer ) {
				continue;
			}

			?>
			<div class="div-tribe-organizer">
			    <span class="tribe-organizer">
				    <?php echo tribe_get_organizer( $organizer ) ?>
			    </span>
			</div>
			<?php
		}

		if ( ! $multiple ) { // only show organizer details if there is one
			if ( ! empty( $phone ) ) {
				?>
				<div class="div-tribe-organizer-tel">
                    <span>
                        <?php echo(  esc_html__('Phone:', 'jarvis')  ) ?>
                    </span>
                    <span class="tribe-organizer-tel">
                        <?php echo esc_html( $phone ); ?>
                    </span>
				</div>
				<?php
			}//end if

			if ( ! empty( $email ) ) {
				?>
				<div class="div-tribe-organizer-email">
                    <span>
                        <?php echo(  esc_html__('Email:', 'jarvis') ) ?>
                    </span>
                    <span class="tribe-organizer-email">
                        <?php echo esc_html( $email ); ?>
                    </span>
				</div>
				<?php
			}//end if

			if ( ! empty( $website ) ) {
				?>
				<div class="div-tribe-organizer-url">
                    <span>
                        <?php echo( esc_html__('Website:', 'jarvis') ) ?>
                    </span>
                    <span class="tribe-organizer-url">
                        <?php echo trim($website); ?>
                    </span>
				</div>
				<?php
			}//end if
		}//end if

		do_action( 'tribe_events_single_meta_organizer_section_end' );
		?>
	</div>
</div>
